MetalBorders (Java SE 12 & JDK 12 )
Keywords: javax.swing.plaf.metal.MetalBorders class

Module java.desktop
Package javax.swing.plaf.metal

## Class MetalBorders

- java.lang.Object
- - javax.swing.plaf.metal.MetalBorders

-     public class MetalBorders
      extends Object

  Factory object that can vend Borders appropriate for the metal L & F.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MetalBorders.ButtonBorder` | The class represents the border of a `JButton`.
    `static class` | `MetalBorders.Flush3DBorder` | The class represents the 3D border.
    `static class` | `MetalBorders.InternalFrameBorder` | The class represents the border of a `JInternalFrame`.
    `static class` | `MetalBorders.MenuBarBorder` | The class represents the border of a `JMenuBar`.
    `static class` | `MetalBorders.MenuItemBorder` | The class represents the border of a `JMenuItem`.
    `static class` | `MetalBorders.OptionDialogBorder` | The class represents the border of an option dialog.
    `static class` | `MetalBorders.PaletteBorder` | Border for a Palette.
    `static class` | `MetalBorders.PopupMenuBorder` | The class represents the border of a `JPopupMenu`.
    `static class` | `MetalBorders.RolloverButtonBorder` | The class represents the border of a rollover `Button`.
    `static class` | `MetalBorders.ScrollPaneBorder` | The class represents the border of a `JScrollPane`.
    `static class` | `MetalBorders.TableHeaderBorder` | Border for a Table Header
    `static class` | `MetalBorders.TextFieldBorder` | The class represents the border of a `JTestField`.
    `static class` | `MetalBorders.ToggleButtonBorder` |
    `static class` | `MetalBorders.ToolBarBorder` | The class represents the border of a `JToolBar`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetalBorders()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static Border` | `getButtonBorder()` | Returns a border instance for a `JButton`.
    `static Border` | `getDesktopIconBorder()` | Returns a border instance for a Desktop Icon.
    `static Border` | `getTextBorder()` | Returns a border instance for a text component.
    `static Border` | `getTextFieldBorder()` | Returns a border instance for a `JTextField`.
    `static Border` | `getToggleButtonBorder()` | Returns a border instance for a `JToggleButton`.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetalBorders

          public MetalBorders()

  - ### Method Detail

    - #### getButtonBorder

          public static Border getButtonBorder()

      Returns a border instance for a `JButton`.
      Returns:
        a border instance for a `JButton`
      Since:
        1.3

    - #### getTextBorder

          public static Border getTextBorder()

      Returns a border instance for a text component.
      Returns:
        a border instance for a text component
      Since:
        1.3

    - #### getTextFieldBorder

          public static Border getTextFieldBorder()

      Returns a border instance for a `JTextField`.
      Returns:
        a border instance for a `JTextField`
      Since:
        1.3

    - #### getToggleButtonBorder

          public static Border getToggleButtonBorder()

      Returns a border instance for a `JToggleButton`.
      Returns:
        a border instance for a `JToggleButton`
      Since:
        1.3

    - #### getDesktopIconBorder

          public static Border getDesktopIconBorder()

      Returns a border instance for a Desktop Icon.
      Returns:
        a border instance for a Desktop Icon
      Since:
        1.3